# BaseForkOptions

API Documentation: | `BaseForkOptions`

Known Subtypes: |
`ProviderAwareCompilerDaemonForkOptions`

Fork options for compilation. Only take effect if `fork` is `true`.

### Properties

Property | Description
`jvmArgs` | Returns any additional JVM arguments for the compiler process. Defaults to the empty list.
`memoryInitialSize` | The initial heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.
`memoryMaximumSize` | The maximum heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``List`<`String`>` `jvmArgs`

Returns any additional JVM arguments for the compiler process. Defaults to the empty list.

Default:
  `[]`

#### `String` `memoryInitialSize`

The initial heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

Default:
  `null`

#### `String` `memoryMaximumSize`

The maximum heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

Default:
  `null`